#include <stdio.h>
#include <stdlib.h>

#include "job_queue.h"

int main() {
    struct job_queue q;
    int b = 5;
    job_queue_init(&q, 64);
    job_queue_push(&q, &b);
    void* a = malloc(1);
    job_queue_pop(&q, &a);
    printf("%i\n",*((int *) a));
    printf("esauc\n");
    job_queue_destroy(&q);
}